
var VnObject = require ('./object');

module.exports = new Class
({
	Extends: VnObject
	,Properties:
	{
		/**
		 * The owner document.
		 */
		ownerDocument:
		{
			type: Object
			,get: function ()
			{
				return this.doc;
			}
		}
	}

	,doc: null
	
	,initialize: function (props)
	{
		this.doc = document;
		this.parent (props);	
	}
	
	,createElement: function (tagName)
	{
		var customTag = vnCustomTags[tagName];

		if (customTag !== undefined)
			return new customTag ({doc: this.doc});
		else
			return document.createElement (tagName);
	}
	
	,createTextNode: function (text)
	{
		return document.createTextNode (text);
	}
	
	,render: function () {}
});
